Skip to main content
GET
/
api
/
v1
/
brcode
/
lotecobv
/
{id}
Retrieve due-date charge batch
curl --request GET \
  --url https://spi.sandbox.lerian.net/api/v1/brcode/lotecobv/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/brcode/lotecobv/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spi.sandbox.lerian.net/api/v1/brcode/lotecobv/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cobsv": [
    {
      "txid": "<string>",
      "criacao": "<string>",
      "problema": {
        "status": 123,
        "title": "<string>",
        "type": "<string>",
        "correlationId": "<string>",
        "detail": "<string>",
        "violacoes": [
          {
            "propriedade": "<string>",
            "razao": "<string>",
            "valor": "<string>"
          }
        ]
      }
    }
  ],
  "criacao": "<string>",
  "descricao": "<string>",
  "id": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string
required

Identificador do lote (texto).

Pattern: ^[A-Za-z0-9-]{1,35}$

Response

OK

cobsv
object[] | null
required

Itens do lote com seus respectivos status.

criacao
string
required

Data de criação do lote (RFC 3339).

descricao
string
required

Descrição do lote.

id
string
required

Identificador do lote (texto).